=== libsdlpre/Makefile ===
CFLAGS?=-Os -Wall

SDL_CFLAGS:=$(shell sdl-config --cflags)
SDL_LIBS:=$(shell sdl-config --libs)  -lSDL_gles
HILDON_CFLAGS:=$(shell pkg-config libosso libhildonmime gstreamer-plugins-base-0.10 gstreamer-interfaces-0.10 x11 --cflags)
HILDON_LIBS:=$(shell pkg-config libosso libhildonmime gstreamer-plugins-base-0.10 gstreamer-interfaces-0.10 x11 --libs)
DL_LIBS:=-ldl

all: libsdlpre.so

libsdlpre.so: private.o pdl.o sdlgl.o joystick.o cinema.o
	$(CC) $(LDFLAGS) -shared -o $@ $^ $(SDL_LIBS) $(HILDON_LIBS) $(DL_LIBS)

%.o: %.c
	$(CC) $(SDL_CFLAGS) $(HILDON_CFLAGS) $(CFLAGS) -I. -o $@ -c $<

install: libsdlpre.so
	install $(IFLAGS) libsdlpre.so $(DESTDIR)/lib/

clean: 
	rm -f libsdlpre.so *.o

.PHONY: all install clean
