=== debian/changelog ===
preenv (0.1) unstable; urgency=low

  * Initial Release.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 23 Oct 2010 22:40:29 +0200
