=== debian/control ===
Source: preenv
Section: games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), zlib1g-dev, libjson-glib-dev, gnupg,
  libvorbisidec-dev, libsdl-gles1.2-dev, libgstreamer-plugins-base0.10-dev,
  libosso-dev, libhildonmime-dev, libsmpeg-dev, libgles1-sgx-img-dev
Standards-Version: 3.7.2

Package: preenv
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Maemo-Display-Name: Preenv
Description: A WebOS native application execution environment
 Preenv is a set of libraries and stubs that should make running WebOS native 
 applications possible on the N900.
 .
 Note that "native applications" are a small subset of all WebOS applications; 
 most of these are OpenGL games.
