## preenv 0.1.1

=== libpng/Makefile ===
FETCH_URL:=http://prdownloads.sourceforge.net/libpng/libpng-1.2.44.tar.gz
DIR:=libpng-1.2.44
PATCHES:=

FETCH_FILE:=$(notdir $(FETCH_URL))

all: build

fetch: $(FETCH_FILE)

$(FETCH_FILE):
	wget -O "$@" "$(FETCH_URL)"

unpack: $(DIR)

$(DIR): $(FETCH_FILE)
	tar zxf $<

build: $(DIR)
	cd "$(DIR)" && ./configure
	$(MAKE) -C "$(DIR)" all

install: build
	install $(IFLAGS) "$(DIR)/.libs/libpng.so.3.44.0" $(DESTDIR)/lib/libpng.so.3

clean:
	rm -rf "$(DIR)"

.PHONY: all clean
