=== libsdl-mixer/Makefile ===
FETCH_URL:=http://palm.cdnetworks.net/opensource/1.4.5/libsdl-mixer-1.2.tgz
PATCH_URL:=http://palm.cdnetworks.net/opensource/1.4.5/libsdl-mixer-1.2-patch.gz
DIR:=libsdl-mixer-1.2
PATCHES:=

FETCH_FILE:=$(notdir $(FETCH_URL))
PATCH_FILE:=$(notdir $(PATCH_URL))

all: build

fetch: $(FETCH_FILE) $(PATCH_FILE)

$(FETCH_FILE):
	wget -O "$@" "$(FETCH_URL)"

$(PATCH_FILE):
	wget -O "$@" "$(PATCH_URL)"

unpack: $(DIR)

$(DIR): $(FETCH_FILE) $(PATCH_FILE)
	tar zxf $<
	gunzip -c $(PATCH_FILE) | patch -p0 -t -d "$(DIR)"
	patch -p1 -t -d "$(DIR)" < my-patch

build: $(DIR)
	cd "$(DIR)" && ./configure --disable-music-mp3-shared --disable-music-ogg-shared --disable-music-flac-shared --disable-sdltest --enable-music-ogg-tremor
	$(MAKE) -C "$(DIR)" all

install: build
	install $(IFLAGS) "$(DIR)/build/.libs/libSDL_mixer-1.2.so.0.10.1" $(DESTDIR)/lib/libSDL_mixer-1.2.so.0

clean:
	rm -rf "$(DIR)"

.PHONY: all clean
