=== libsdlpre/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 all: libsdlpre.so
 
-libsdlpre.so: private.o pdl.o sdlgl.o joystick.o cinema.o
+libsdlpre.so: private.o pdl.o sdlgl.o joystick.o cinema.o x11.o gles1.o
 	$(CC) $(LDFLAGS) -shared -o $@ $^ $(SDL_LIBS) $(HILDON_LIBS) $(DL_LIBS)
 
 %.o: %.c
