=== debian/changelog ===
preenv (0.1.1) unstable; urgency=low

  * More calls implemented.
  * Tasks are now killable by systemui.
  * desktopgen is more Desktop file spec conforming.
  * Portrait games should work now.
  * wrapper now chdir()s into applications' binary path.
  * desktopgen can now uninstall an application.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 26 Oct 2010 03:02:59 +0200
