## preenv 0.1.2

=== desktopgen/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS?=-Os -Wall
+CFLAGS?=-Os -g -Wall
 LDFLAGS?=
 
 GLIB_CFLAGS:=$(shell pkg-config --cflags gio-2.0 json-glib-1.0)
