=== libsdl-mixer/Makefile ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	gunzip -c $(PATCH_FILE) | patch -p0 -t -d "$(DIR)"
 	patch -p1 -t -d "$(DIR)" < my-patch
 
-build: $(DIR)
+$(DIR)/config.status:
 	cd "$(DIR)" && ./configure --disable-music-mp3-shared --disable-music-ogg-shared --disable-music-flac-shared --disable-sdltest --enable-music-ogg-tremor
+
+build: $(DIR) $(DIR)/config.status
 	$(MAKE) -C "$(DIR)" all
 
 install: build
@@ -33,5 +35,5 @@
 clean:
 	rm -rf "$(DIR)"
 
-.PHONY: all clean
+.PHONY: all unpack configure build install clean
