=== debian/changelog ===
preenv (0.1.2) unstable; urgency=low

  * Now integrates with liblocation for Location stuff.
  * Creates a separate thread to run GLib mainloop.
  * Generates a "unique" ID.
  * More calls implemented.
  * Includes -dbg package
  * SDL_Haptic stubs.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 10 Dec 2010 19:18:00 +0100
