=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 else
 	CFLAGS += -Os
 endif
+
+export CFLAGS
 
 build: build-stamp
 
@@ -58,7 +60,7 @@
 	dh_installman
 	dh_install
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=preenv-dbg
 	dh_compress
 	dh_fixperms
 	dh_installdeb
