## preenv 0.1.3

=== debian/changelog ===
preenv (0.1.3) unstable; urgency=low

  * Cinema now ensures PDL is initialized beforehand.
  * Cinema now tries to clean URIs passed to it.
  * Joystick is polled from the GLib thread.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 13 Dec 2010 18:05:08 +0100
