## preenv 0.1.4

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 
 LIBSTUBS:=libcjson.so libluna-prefs.so libpdl.so libSDL_cinema.so libgdbus.so \
 	liblunaservice.so libPiranha.so libgdbus.so.0 libmjson.so libhid.so \
-	libpalmvibe.so libsaxparse.so
+	libpalmvibe.so libsaxparse.so libPmIpcLib.so libNPAPIInterface.so \
+	libdbus-gmain.so.0 libnapp.so
 
 all: $(SUBDIRS)
