=== libpng/Makefile ===
--- 
+++ 
@@ -16,8 +16,10 @@
 $(DIR): $(FETCH_FILE)
 	tar zxf $<
 
-build: $(DIR)
+$(DIR)/config.status:
 	cd "$(DIR)" && ./configure
+
+build: $(DIR) $(DIR)/config.status
 	$(MAKE) -C "$(DIR)" all
 
 install: build
@@ -26,5 +28,5 @@
 clean:
 	rm -rf "$(DIR)"
 
-.PHONY: all clean
+.PHONY: all unpack configure build install clean
