=== debian/changelog ===
preenv (0.1.4) unstable; urgency=low

  * Add some missing GL_OES_framebuffer_object symbols.
  * Faking screen surface for increased compatibility.
  * Make most of config.h dynamic.
  * Properly ignore width and height in SDL_SetVideoMode when OPENGLES is
    enabled, like the real thing does.
  * Support for SDL_GL_STENCIL_SIZE.
  * Implemented SDL_GetVideoMode, glMultMatrixx.
  * Implemented SDL_GetRelativeMultiMouseState, SDL_GetMultiMouseState.
  * Stubbing libPmIpcLib.so, libnapp.so, libNPAPIInterface.so,
    libdbus-gmain.so.0.
  * Cap the framerate when the window in deactivated.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 18 Jan 2011 23:53:51 +0100
