## preenv 0.1.5

=== debian/changelog ===
preenv (0.1.5) unstable; urgency=low

  * Do not ignore preexisting LD_PRELOAD.
  * Fix implicit PDL initialization with GetDeviceName().
  * Implement SDL_GL_GetAttribute().

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 21 Feb 2011 20:59:56 +0100
