## preenv 0.1.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SUBDIRS:=libstub libsdl-mixer libpng libsdlpre desktopgen
+SUBDIRS:=libstub libpng faac opencore-amr ffmpeg libsdl-mixer libsdlpre desktopgen
 
 CFLAGS?=-Os -Wall
 LDFLAGS?=
@@ -23,6 +23,7 @@
 	cd $(DESTDIR)/lib && for i in $(LIBSTUBS); do \
 		ln -sf libstub.so "$$i"; \
 	done;
+	@echo Everything installed to $(DESTDIR).
 
 install-before:
 	@if [ -z "$(DESTDIR)" ]; then \
@@ -30,7 +31,7 @@
 		exit 1; \
 	fi
 	@echo Installing to $(DESTDIR)...
-	mkdir -p $(DESTDIR)/lib $(DESTDIR)/bin
+	mkdir -p $(DESTDIR)/lib $(DESTDIR)/bin $(DESTDIR)/data/apps/usr/palm/applications
 
 $(addprefix install-,$(SUBDIRS)): %:
 	$(MAKE) -C "$(subst install-,,$@)" install
