=== libsdlpre/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SDL_CFLAGS:=$(shell sdl-config --cflags)
 SDL_LIBS:=$(shell sdl-config --libs)  -lSDL_gles
-PKGCONFIG_PKGS:=libosso libhildonmime liblocation gstreamer-plugins-base-0.10 gstreamer-interfaces-0.10 x11
+PKGCONFIG_PKGS:=libosso libhildonmime liblocation gstreamer-plugins-base-0.10 gstreamer-interfaces-0.10 x11 mce
 PKGCONFIG_CFLAGS:=$(shell pkg-config $(PKGCONFIG_PKGS) --cflags)
 PKGCONFIG_LIBS:=$(shell pkg-config $(PKGCONFIG_PKGS) --libs)
 DL_LIBS:=-ldl
