=== debian/changelog ===
preenv (0.1.6) unstable; urgency=low

  * Add PR1.3 vibrator support.
  * Add ffmpeg, opencore-amr, and libfaac to Preenv.
  * Make SDL_mixer use Palm's music_ffm(peg) module.

 -- Javier S. Pedro <maemo@javispedro.com>  Thu, 10 Mar 2011 22:46:46 +0100
