=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: games
 Priority: extra
 Maintainer: Javier S. Pedro <maemo@javispedro.com>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libjson-glib-dev, gnupg,
- libvorbisidec-dev, libsdl-gles1.2-dev, libgstreamer-plugins-base0.10-dev,
- libosso-dev, libhildonmime-dev, libsmpeg-dev, libgles1-sgx-img-dev,
- opengles-sgx-img-common-dev, liblocation-dev
+Build-Depends: debhelper (>= 5), zlib1g-dev, libjson-glib-dev, libsdl1.2-dev,
+ libsdl-gles1.2-dev, libgstreamer-plugins-base0.10-dev, libosso-dev,
+ libhildonmime-dev, libgles1-sgx-img-dev, opengles-sgx-img-common-dev,
+ liblocation-dev, mce-dev, gnupg
 Standards-Version: 3.7.2
 
 Package: preenv
