=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,9 @@
 	dh_installdirs
 
 	$(MAKE) DESTDIR=$(CURDIR)/debian/preenv/opt/preenv install
+	mkdir -p $(CURDIR)/debian/preenv/media
+	ln -sf /opt/preenv/data $(CURDIR)/debian/preenv/media/cryptofs
+	ln -sf /home/user/MyDocs $(CURDIR)/debian/preenv/media/internal
 
 
 # Build architecture-independent files here.
@@ -64,7 +67,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	dh_shlibdeps
+	dh_shlibdeps -l$(CURDIR)/debian/preenv/opt/preenv/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
