## preenv 0.1.7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 SUBDIRS:=libstub libpng faac opencore-amr ffmpeg libsdl-mixer libsdlpre desktopgen
 
-CFLAGS?=-Os -Wall
+CFLAGS?=-Os -g -Wall
 LDFLAGS?=
 IFLAGS?=
