=== libsdl-mixer/Makefile ===
--- 
+++ 
@@ -24,8 +24,7 @@
 
 $(DIR)/config.status:
 	cd "$(DIR)" && ./configure --prefix=/usr -disable-sdltest \
-		--disable-music-ogg --disable-music-mp3 --disable-music-flac \
-		--disable-music-mp3-shared --disable-music-ogg-shared --disable-music-flac-shared \
+		--enable-music-ogg-tremor --disable-music-mp3 --disable-music-flac \
 		CFLAGS="$(CFLAGS) -I$(CURDIR)/../ffmpeg/root/usr/include" \
 		LDFLAGS="$(LDFLAGS) -L$(CURDIR)/../ffmpeg/root/usr/lib -Wl,-rpath-link -Wl,$(CURDIR)/../faac/root/usr/lib -Wl,-rpath-link -Wl,$(CURDIR)/../opencore-amr/root/usr/lib"
