=== libsdlpre/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PKGCONFIG_LIBS:=$(shell pkg-config $(PKGCONFIG_PKGS) --libs)
 DL_LIBS:=-ldl
 
-OBJ:=private.o pdl.o sdlgl.o sdl.o joystick.o haptic.o cinema.o x11.o gles1.o
+OBJ:=private.o pdl.o sdlgl.o sdl.o joystick.o haptic.o cinema.o x11.o taskbtn.o gles1.o
 
 all: libsdlpre.so
