=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-APPS:=basic location
+APPS:=basic location paths
 
 SDL_CFLAGS:=$(shell sdl-config --cflags)
 SDL_LIBS:=$(shell sdl-config --libs)
