=== debian/changelog ===
preenv (0.1.7) unstable; urgency=low

  * Implement PDL_GetDataFilePath.
  * Implement PDL_Minimize.
  * Tapping and holding on the topleft screen corner (where the task
    switcher button usually is) will now minimize the application.
  * Readd dependency on Tremor (fixes regression with RWops Vorbis).

 -- Javier S. Pedro <maemo@javispedro.com>  Sat,  2 Apr 2011 20:23:09 +0200
