=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5), zlib1g-dev, libjson-glib-dev, libsdl1.2-dev,
  libsdl-gles1.2-dev, libgstreamer-plugins-base0.10-dev, libosso-dev,
  libhildonmime-dev, libgles1-sgx-img-dev, opengles-sgx-img-common-dev,
- liblocation-dev, mce-dev, gnupg
+ liblocation-dev, libvorbisidec-dev, mce-dev, gnupg
 Standards-Version: 3.7.2
 
 Package: preenv
